%define module_name rss2leafnode
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Audio/WMA.pm) perl(Data/Dumper.pm) perl(Date/Parse.pm) perl(DateTime.pm) perl(DateTime/Format/Mail.pm) perl(Digest/MD5.pm) perl(Digest/file.pm) perl(Email/Address.pm) perl(Encode.pm) perl(Encode/Locale.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(Gtk2.pm) perl(HTML/Entities/Interpolate.pm) perl(HTML/ExtractMain.pm) perl(HTML/FormatText.pm) perl(HTML/FormatText/W3m.pm) perl(HTML/FormatText/WithLinks.pm) perl(HTML/Formatter.pm) perl(HTML/Lint.pm) perl(HTML/Parser.pm) perl(HTML/TreeBuilder.pm) perl(HTTP/Message.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(Hash/Util/FieldHash.pm) perl(Hook/LexWrap.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/SSL.pm) perl(Image/ExifTool.pm)
BuildRequires: perl(Image/Magick.pm) perl(Image/Pngslimmer.pm) perl(LWP.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(Locale/Messages.pm) perl(Locale/TextDomain.pm) perl(MIME/Base64.pm) perl(MIME/Entity.pm) perl(MIME/Tools.pm) perl(MIME/Words.pm) perl(Module/Find.pm) perl(Module/Load.pm) perl(Net/NNTP.pm) perl(Number/Format.pm) perl(POSIX.pm) perl(PerlIO/encoding.pm) perl(Pod/Simple/HTML.pm) perl(Scalar/Util.pm) perl(Scope/Guard.pm) perl(Smart/Comments.pm) perl(Sort/Key/Top.pm) perl(Sys/Hostname.pm) perl(Text/Trim.pm) perl(Text/Wrap.pm) perl(Text/WrapI18N.pm) perl(URI.pm) perl(URI/Escape.pm) perl(URI/Title.pm) perl(URI/tag.pm) perl(XML/Atom/Feed.pm) perl(XML/FeedPP.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm) perl(XML/Parser.pm) perl(XML/RSS.pm) perl(XML/SAX/Base.pm)
BuildRequires: perl(XML/SAX/ParserFactory.pm) perl(XML/TreePP.pm) perl(XML/Twig.pm) perl(base.pm) perl(constant/defer.pm) perl(sort.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 79
Release: alt1
Summary: Download RSS feeds or web pages to an NNTP news server.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/rss2leafnode/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is the guts of the `rss2leafnode' program, see the rss2leafnode manpage for
user-level operation.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes COPYING examples
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 79-alt1
- regenerated from template by package builder

* Tue Feb 10 2015 Igor Vlasenko <viy@altlinux.ru> 78-alt1
- regenerated from template by package builder

* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 77-alt1
- initial import by package builder

